#include <bits/stdc++.h>
using namespace std;

const int MAXN = 5005;

long long Konflikt(int N,int M,int *A,int *B)
{
    sort(A + 1, A + N + 1);
    sort(B + 1, B + N + 1);

    ll sum = 0;
    for(int i = 1; i <= N; i++) sum += abs(A[i] - B[i]);
    
    ll x = sum / N;
    return min(abs(sum - N * x), abs(sum - N * (x + 1)));

}